Main Page Modules Class Hierarchy Data Structures File List Data Fields Globals Related Pages

# OSCL_wHeapStringA Class Reference
[OSCL Util]

`#include <oscl_string_containers.h>`

Inheritance diagram for OSCL_wHeapStringA:

## Public Types
typedef OSCL_wString::chartype | chartype
typedef TOSCL_wStringOp | optype
typedef OSCL_String::chartype | other_chartype
## Public Methods
OSCL_IMPORT_REF | OSCL_wHeapStringA ()
OSCL_IMPORT_REF | OSCL_wHeapStringA (Oscl_DefAlloc *alloc, OsclRefCounter *ref=NULL)
OSCL_IMPORT_REF | OSCL_wHeapStringA (const OSCL_wHeapStringA &src)
OSCL_IMPORT_REF | OSCL_wHeapStringA (const OSCL_wHeapStringA &src, Oscl_DefAlloc *alloc, OsclRefCounter *ref=NULL)
OSCL_IMPORT_REF | OSCL_wHeapStringA (const OSCL_wString &src, Oscl_DefAlloc *alloc=NULL, OsclRefCounter *ref=NULL)
OSCL_IMPORT_REF | OSCL_wHeapStringA (const chartype *cstr, Oscl_DefAlloc *alloc=NULL, OsclRefCounter *ref=NULL)
OSCL_IMPORT_REF | OSCL_wHeapStringA (const chartype *buf, uint32 length, Oscl_DefAlloc *alloc=NULL, OsclRefCounter *ref=NULL)
OSCL_IMPORT_REF | ~OSCL_wHeapStringA ()
OSCL_IMPORT_REF uint32 | get_size () const
OSCL_IMPORT_REF uint32 | get_maxsize () const
OSCL_IMPORT_REF const chartype * | get_cstr () const
OSCL_IMPORT_REF chartype * | get_str () const
OSCL_IMPORT_REF OSCL_wHeapStringA & | operator= (const OSCL_wHeapStringA &src)
OSCL_IMPORT_REF OSCL_wHeapStringA & | operator= (const OSCL_wString &src)
OSCL_IMPORT_REF OSCL_wHeapStringA & | operator= (const chartype *cstr)
OSCL_IMPORT_REF void | set (const chartype *buf, uint32 length)
OSCL_IMPORT_REF void | set (const other_chartype *buf, optype op)
OSCL_IMPORT_REF void | set (const other_chartype *buf, uint32 length, optype op)
## Friends
class | OSCL_wString

## Detailed Description

OSCL_wHeapStringA is identical to OSCL_HeapStringA except that it uses wide-character format. For descriptions, see OSCL_HeapStringA.

## Member Typedef Documentation

typedef OSCL_wString::chartype OSCL_wHeapStringA::chartype

| Reimplemented from OSCL_wString.

typedef TOSCL_wStringOp OSCL_wHeapStringA::optype

typedef OSCL_String::chartype OSCL_wHeapStringA::other_chartype

## Constructor & Destructor Documentation

OSCL_IMPORT_REF OSCL_wHeapStringA::OSCL_wHeapStringA | ( |  | ) |

OSCL_IMPORT_REF OSCL_wHeapStringA::OSCL_wHeapStringA | ( | Oscl_DefAlloc * | alloc,
|  | OsclRefCounter * | ref = NULL
| ) |

OSCL_IMPORT_REF OSCL_wHeapStringA::OSCL_wHeapStringA | ( | const OSCL_wHeapStringA & | src | ) |

OSCL_IMPORT_REF OSCL_wHeapStringA::OSCL_wHeapStringA | ( | const OSCL_wHeapStringA & | src,
|  | Oscl_DefAlloc * | alloc,
|  | OsclRefCounter * | ref = NULL
| ) |

OSCL_IMPORT_REF OSCL_wHeapStringA::OSCL_wHeapStringA | ( | const OSCL_wString & | src,
|  | Oscl_DefAlloc * | alloc = NULL,
|  | OsclRefCounter * | ref = NULL
| ) |

OSCL_IMPORT_REF OSCL_wHeapStringA::OSCL_wHeapStringA | ( | const chartype * | cstr,
|  | Oscl_DefAlloc * | alloc = NULL,
|  | OsclRefCounter * | ref = NULL
| ) |

OSCL_IMPORT_REF OSCL_wHeapStringA::OSCL_wHeapStringA | ( | const chartype * | buf,
|  | uint32 | length,
|  | Oscl_DefAlloc * | alloc = NULL,
|  | OsclRefCounter * | ref = NULL
| ) |

OSCL_IMPORT_REF OSCL_wHeapStringA::~OSCL_wHeapStringA | ( |  | ) |

## Member Function Documentation

OSCL_IMPORT_REF const chartype* OSCL_wHeapStringA::get_cstr | ( |  | ) | `[virtual]`

| Implements OSCL_wString.

OSCL_IMPORT_REF uint32 OSCL_wHeapStringA::get_maxsize | ( |  | ) | `[virtual]`

| Implements OSCL_wString.

OSCL_IMPORT_REF uint32 OSCL_wHeapStringA::get_size | ( |  | ) | `[virtual]`

| Implements OSCL_wString.

OSCL_IMPORT_REF chartype* OSCL_wHeapStringA::get_str | ( |  | ) | `[virtual]`

| Implements OSCL_wString.

OSCL_IMPORT_REF OSCL_wHeapStringA& OSCL_wHeapStringA::operator= | ( | const chartype * | cstr | ) |

| Reimplemented from OSCL_wString.

OSCL_IMPORT_REF OSCL_wHeapStringA& OSCL_wHeapStringA::operator= | ( | const OSCL_wString & | src | ) |

| Reimplemented from OSCL_wString.

OSCL_IMPORT_REF OSCL_wHeapStringA& OSCL_wHeapStringA::operator= | ( | const OSCL_wHeapStringA & | src | ) |

OSCL_IMPORT_REF void OSCL_wHeapStringA::set | ( | const other_chartype * | buf,
|  | uint32 | length,
|  | optype | op
| ) |

OSCL_IMPORT_REF void OSCL_wHeapStringA::set | ( | const other_chartype * | buf,
|  | optype | op
| ) |

OSCL_IMPORT_REF void OSCL_wHeapStringA::set | ( | const chartype * | buf,
|  | uint32 | length
| ) |

## Friends And Related Function Documentation

friend class OSCL_wString`[friend]`

The documentation for this class was generated from the following file:

- oscl_string_containers.h